%define		debug_package %{nil}

Name:		webkit-sharp
Version:	0.3
Release:	6%{?dist}
Summary:	.NET bindings for WebKit
Group:		Development/Languages
License:	MIT
URL:		http://ftp.novell.com/pub/mono/sources/webkit-sharp/
Source0:	http://ftp.novell.com/pub/mono/sources/webkit-sharp/%{name}-%{version}.tar.bz2
Patch0:		webkit-sharp-0.3-libdir.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=658502
Patch1:		webkit-sharp-0.3-dllmap.patch
Requires:	webkitgtk
BuildRequires:	webkitgtk-devel
BuildRequires:	mono-devel
BuildRequires:	gtk-sharp2-devel
BuildRequires:	gtk-sharp2-gapi
BuildRequires:	monodoc-devel

ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 armv4l sparcv9 alpha s390x

%description
WebKit-sharp is .NET bindings for the WebKit rendering engine.

%package devel
Summary:	Development files for WebKit-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for WebKit-sharp

%prep
%setup -q

# patch for libdir madness
%patch0 -p1 -b .libdir
# update for new webkit library name
%patch1 -p1 -b .dllmap

%build
%configure
# parallel build fails in mock
make

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/mono/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/webkit-sharp-1.0.pc
%{_libdir}/monodoc/sources/webkit-sharp*

%changelog
* Mon Mar 28 2011 Christian Krause <chkr@fedoraproject.org> - 0.3-6
- Rebuilt against mono 2.10
- Minor spec file cleanup

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 27 2010 Dan Horák <dan[at]danny.cz> - 0.3-4
- update dll mapping for new webkitgtk (#658502)
- sync ExclusiveArch list with mono

* Sun Oct 31 2010 Christian Krause <chkr@fedoraproject.org> - 0.3-3
- Rebuild again to create correct requires/provides capabilities

* Sat Oct 09 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.3-2
- Rebuild for mono-2.8

* Thu Dec 17 2009 Paul Lange <palango@gmx.de> - 0.3-1
- Update to version 0.3

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.2-6
- build for sparcv9 s390 s390x

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 21 2009 Paul Lange <palango@gmx.de> - 0.2-4
- Fix supported archs

* Sun Jun 14 2009 Paul Lange <palango@gmx.de> - 0.2-3
- Fix wrong webkitgtk link and missing dependency (#500654)

* Mon May 25 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.2-2
- Build arch ppc64.

* Sat Feb 21 2009 David Nielsen <gnomeuser@gmail.com> - 0.2-1
- Initial package
